Reference documentation and code samples for the Compute V1 Client class InstantSnapshotGroup.
Represents an InstantSnapshotGroup resource.
An instant snapshot group is a set of instant snapshots that represents a point in time state of a consistency group.
Generated from protobuf message google.cloud.compute.v1.InstantSnapshotGroup
Namespace
Google \ Cloud \ Compute \ V1Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ creation_timestamp |
string
Output only. [Output Only] Creation timestamp inRFC3339 text format. |
↳ description |
string
Optional. An optional description of this resource. Provide this property when you create the resource. |
↳ id |
int|string
Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server. |
↳ kind |
string
Output only. [Output Only] Type of the resource. Alwayscompute#instantSnapshotGroup for InstantSnapshotGroup resources. |
↳ name |
string
Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
↳ region |
string
Output only. [Output Only] URL of the region where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
↳ resource_status |
InstantSnapshotGroupResourceStatus
|
↳ self_link |
string
Output only. [Output Only] Server-defined URL for the resource. |
↳ self_link_with_id |
string
Output only. [Output Only] Server-defined URL for this resource's resource id. |
↳ source_consistency_group |
string
|
↳ status |
string
Output only. [Output Only] Check the Status enum for the list of possible values. |
↳ zone |
string
Output only. [Output Only] URL of the zone where the instant snapshot group resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
getCreationTimestamp
Output only. [Output Only] Creation timestamp inRFC3339 text format.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasCreationTimestamp
clearCreationTimestamp
setCreationTimestamp
Output only. [Output Only] Creation timestamp inRFC3339 text format.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getDescription
Optional. An optional description of this resource. Provide this property when you create the resource.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasDescription
clearDescription
setDescription
Optional. An optional description of this resource. Provide this property when you create the resource.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getId
Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.
| Returns | |
|---|---|
| Type | Description |
int|string |
|
hasId
clearId
setId
Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server.
| Parameter | |
|---|---|
| Name | Description |
var |
int|string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getKind
Output only. [Output Only] Type of the resource. Alwayscompute#instantSnapshotGroup for InstantSnapshotGroup resources.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasKind
clearKind
setKind
Output only. [Output Only] Type of the resource. Alwayscompute#instantSnapshotGroup for InstantSnapshotGroup resources.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getName
Identifier. Name of the resource; provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following characters must be
a dash, lowercase letter, or digit, except the last character, which cannot
be a dash.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasName
clearName
setName
Identifier. Name of the resource; provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following characters must be
a dash, lowercase letter, or digit, except the last character, which cannot
be a dash.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getRegion
Output only. [Output Only] URL of the region where the instant snapshot group resides.
You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasRegion
clearRegion
setRegion
Output only. [Output Only] URL of the region where the instant snapshot group resides.
You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getResourceStatus
Generated from protobuf field optional .google.cloud.compute.v1.InstantSnapshotGroupResourceStatus resource_status = 249429315;
| Returns | |
|---|---|
| Type | Description |
InstantSnapshotGroupResourceStatus|null |
|
hasResourceStatus
clearResourceStatus
setResourceStatus
Generated from protobuf field optional .google.cloud.compute.v1.InstantSnapshotGroupResourceStatus resource_status = 249429315;
| Parameter | |
|---|---|
| Name | Description |
var |
InstantSnapshotGroupResourceStatus
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getSelfLink
Output only. [Output Only] Server-defined URL for the resource.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasSelfLink
clearSelfLink
setSelfLink
Output only. [Output Only] Server-defined URL for the resource.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getSelfLinkWithId
Output only. [Output Only] Server-defined URL for this resource's resource id.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasSelfLinkWithId
clearSelfLinkWithId
setSelfLinkWithId
Output only. [Output Only] Server-defined URL for this resource's resource id.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getSourceConsistencyGroup
Generated from protobuf field optional string source_consistency_group = 531359348;
| Returns | |
|---|---|
| Type | Description |
string |
|
hasSourceConsistencyGroup
clearSourceConsistencyGroup
setSourceConsistencyGroup
Generated from protobuf field optional string source_consistency_group = 531359348;
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getStatus
Output only. [Output Only] Check the Status enum for the list of possible values.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasStatus
clearStatus
setStatus
Output only. [Output Only] Check the Status enum for the list of possible values.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getZone
Output only. [Output Only] URL of the zone where the instant snapshot group resides.
You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Returns | |
|---|---|
| Type | Description |
string |
|
hasZone
clearZone
setZone
Output only. [Output Only] URL of the zone where the instant snapshot group resides.
You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|